Skip to main content
POST
/
api
/
v1
/
orgs
/
{org_id}
/
keys
Create Org Key Route
curl --request POST \
  --url https://api.example.com/api/v1/orgs/{org_id}/keys \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
import requests

url = "https://api.example.com/api/v1/orgs/{org_id}/keys"

payload = { "name": "<string>" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};

fetch('https://api.example.com/api/v1/orgs/{org_id}/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "key": "<string>",
  "name": "<string>",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

Authorization
string | null
X-Request-ID
string | null

Path Parameters

org_id
string
required

Body

application/json
name
string | null

Response

Successful Response

key
string
required
name
string | null
required
org_id
string<uuid>
required